﻿Imports System.IO
Imports iTextSharp.text
Imports iTextSharp.text.pdf


Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Upload(ByVal sender As Object, ByVal e As EventArgs)
        'Save the Uploaded Image file.
        Dim filePath As String = Server.MapPath("~/Uploads/") + Path.GetFileName(FileUpload1.PostedFile.FileName)
        FileUpload1.SaveAs(filePath)

        'Initialize the PDF document object.
        Using pdfDoc As Document = New Document(PageSize.A4, 10.0F, 10.0F, 10.0F, 10.0F)
            Dim writer As PdfWriter = PdfWriter.GetInstance(pdfDoc, Response.OutputStream)
            pdfDoc.Open()

            'Add the Image file to the PDF document object.
            Dim img As iTextSharp.text.Image = iTextSharp.text.Image.GetInstance(filePath)
            pdfDoc.Add(img)
            pdfDoc.Close()

            'Download the PDF file.
            Response.ContentType = "application/pdf"
            Response.AddHeader("content-disposition", "attachment;filename=ImageExport.pdf")
            Response.Cache.SetCacheability(HttpCacheability.NoCache)
            Response.Write(pdfDoc)
            Response.[End]()
        End Using
    End Sub
End Class
